require 'sketchup'
require 'Practica//lib//utils.rb'
require 'Practica//lib//structures.rb'
require 'Practica//lib//m-structures.rb'

def create_gramatica_dialog(web)
  # Create the WebDialog instance for choosing the interface type
  gramatica_dialog = UI::WebDialog.new("Tutorial", true, "Tutorial", 540, 540, 540, 540, true)
  
  # Attach an action callback
  gramatica_dialog.add_action_callback("get_gramatica") do |web_dialog, gramatica|
    
    gramatica_dialog.close 
  
    atras = ""
    siguiente = ""
    fin = false
    
    case web
    when "Gramatica.html"
       atras = "Gramatica.html"
       siguiente = "Gramatica1.html"
      fin = false
    when "Gramatica1.html"
      atras = "Gramatica.html"
      siguiente = "Gramatica2.html"
      fin = false
    when "Gramatica2.html"
      atras = "Gramatica1.html"
      siguiente = "Gramatica3.html"
      fin = false
    when "Gramatica3.html"
      atras = "Gramatica2.html"
      siguiente = "Gramatica4.html"
      fin = false
    when "Gramatica4.html"
     atras = "Gramatica3.html"
     siguiente = "Gramatica5.html"
     fin = true
#    when "Tutorial4.html"
#      atras = "Tutorial3.html"
#      siguiente = "Tutorial5.html"
#      fin = false
#    when "Tutorial5.html"
#      atras = "Tutorial4.html"
#      siguiente = "Tutorial6.html"
#      fin = false
#    when "Tutorial6.html"
#      atras = "Tutorial5.html"
#      siguiente = "Tutorial6.html"  
#      fin = true    
#   when "Tutorial.html"
#     stmt2
    else
      atras = "Gramatica.html"
      siguiente = "Gramatica1.html"
      fin = false
    end
    
    if !fin
      if gramatica == "Siguiente"
        # Find and show our html file
        html_path = Sketchup.find_support_file siguiente ,Constants::HTML_DIR
        name_dialog = create_gramatica_dialog(siguiente)
        name_dialog.set_file(html_path)
        name_dialog.show()
      elsif gramatica == "Atras"
        # Find and show our html file
        html_path = Sketchup.find_support_file atras ,Constants::HTML_DIR
        name_dialog = create_gramatica_dialog(atras)
        name_dialog.set_file(html_path)
        name_dialog.show()
      end
    else
      # Find and show our html file
      html_path = Sketchup.find_support_file atras ,Constants::HTML_DIR
      name_dialog = create_gramatica_dialog(atras)
      name_dialog.set_file(html_path)
      name_dialog.show()
    end
    
  end
  
  return gramatica_dialog
end