require 'sketchup' # First we pull in the standard API hooks.
require 'Practica//lib//utils.rb'
require 'Practica//lib//interfaces/guitools.rb'

# Show the Ruby Console at startup so we can
# see any programming errors we may make.
#Sketchup.send_action "showRubyPanel:"

# MAIN CODE ################################################################
# Add a menu item to launch our plugin, and prepare the plugin variables
menu = UI::menu("Plugins");
menu.add_separator;
menu.add_item("Ejercicio megaestructuras") {

	#We open a new file
	Sketchup.file_new
	
	#We prepare the SU canvas
	PracticaUtils.prepare_canvas
	
	#Create the prompt
	create_options()
	
	create_static_toolbar()
	
}